export interface response {
    method: string;
    url: string;
    body?: object;
    successStatus: number
}

export interface sdkResponse {
    statusCode?: number;
    responseData?: object;
    errorMessage?: string;
    response?: object | response;
}

export interface sdkCall {
    sdkResponse?: sdkResponse;
    error?: string;
}

export type FilteredResponse = Promise<sdkResponse>;